Package org.jcsp.net.remote

# Class RemoteProcessFailedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.jcsp.net.remote.RemoteProcessFailedException

All Implemented Interfaces:
  `Serializable`

public class RemoteProcessFailedException extends RuntimeException
Thrown if a remote process terminates abruptly with a non-zero error code.

Author:
  Quickstone Technologies Limited
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RemoteProcessFailedException(int ec, CSProcess proc)`
Constructs a new exception.

## Method Summary

Modifier and Type
Method
Description
`int`
`getErrorCode()`
Returns the error code of the remote JVM.
`CSProcess`
`getFailedProcess()`
Returns the process that was running when the error occurred.
`String`
`toString()`
Returns a string description of the exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RemoteProcessFailedException

public RemoteProcessFailedException(int ec, CSProcess proc)
Constructs a new exception.

Parameters:
  `ec` - the exit code from the remote JVM.
  `proc` - the process that was running.

## Method Details

### toString

public String toString()
Returns a string description of the exception.

Overrides:
  `toString` in class `Throwable`

### getErrorCode

public int getErrorCode()
Returns the error code of the remote JVM.

### getFailedProcess

public CSProcess getFailedProcess()
Returns the process that was running when the error occurred.